Description

History

#2 - 03/15/2023 11:42 AM - Constantin Asofiei

Empty UPDATE., SET. or PROMPT-FOR. statements seem to be a no-op in OE.  FWD fails at conversion phase.

Test UPDATE/SET/PROMPT-FOR WITH FRAME cases, without any referenced widgets. With and without an existing frame with defined widgets.

#3 - 03/15/2023 12:40 PM - Constantin Asofiei

- Status changed from New to WIP

- Assignee set to Constantin Asofiei

Created task branch 7198a from trunk rev 14506.

7198a/14507 fixes this for UPDATE/SET/PROMPT-FOR.  We need to test ENABLE and other statements, in the same way.  The test used was:

def var ch as char.

update.

update with frame f1.

update ch.

update ch with frame f1.

set.

set with frame f1.

set ch.

set ch with frame f1.

prompt-for.

prompt-for with frame f1.

prompt-for ch.

prompt-for ch with frame f1.

 

In OE, a test like this:

def var ch as char.

update with frame f1 title "x".

message "x".

pause.

update ch with frame f1.

goes directly to the PAUSE. statement - so it doesn't look like UPDATE gets morphed into a VIEW.
#4 - 03/15/2023 12:53 PM - Greg Shah

I thought we already handled this at one point.

#5 - 03/15/2023 01:38 PM - Constantin Asofiei

Greg Shah wrote:

I thought we already handled this at one point.

 

I thought so, too, but the only thing I found was empty DISPLAY morphing into VIEW, for #3389.

#6 - 03/21/2023 11:36 AM - Greg Shah

Do you want to put this into 7199a instead?

Should we set this to Review?

#7 - 03/21/2023 11:43 AM - Constantin Asofiei

Greg Shah wrote:

Do you want to put this into 7199a instead?

 

No.

Should we set this to Review?

 

There is more work for ENABLE and any other UI statements.  Plus I don't know what happens if there are DO WITH FRAME F: UPDATE. END.,

which is not using the implicit unnamed frame.

#8 - 06/02/2023 09:57 AM - Greg Shah

There is more work for ENABLE and any other UI statements.  Plus I don't know what happens if there are DO WITH FRAME F: UPDATE.

END., which is not using the implicit unnamed frame.
Should we defer the rest of these checks to another task and move ahead with 7198a?

#9 - 06/02/2023 10:00 AM - Constantin Asofiei

Greg Shah wrote:

There is more work for ENABLE and any other UI statements.  Plus I don't know what happens if there are DO WITH FRAME F: UPDATE.

END., which is not using the implicit unnamed frame.

 

Should we defer the rest of these checks to another task and move ahead with 7198a?

 

Yes, I think so.  But I need to put this (and 7199c) into conversion testing.

#10 - 06/02/2023 11:22 AM - Constantin Asofiei

7198a rev 14507 was rebased from trunk rev 14604 - new rev 14605.

rev 14606 has an adjustment for new downPath(tokenlist) version.

#11 - 06/05/2023 08:10 AM - Greg Shah

You can merge 7198a to trunk after 7395d.

#12 - 06/05/2023 10:15 AM - Constantin Asofiei

Branch 7198a was merged to trunk rev 14609 and archived.

#13 - 06/05/2023 10:20 AM - Greg Shah

- Status changed from WIP to Test
